org.jfree.report.data

## Interface PrecomputeNode

- All Known Implementing Classes:
    PrecomputeNodeImpl

      public interface PrecomputeNode

  Creation-Date: 24.11.2006, 13:51:02
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFunctionCount()`
    `java.lang.String` | `getFunctionName(int idx)`
    `java.lang.Object` | `getFunctionResult(int idx)`
    `PrecomputeNodeKey` | `getKey()`

- - ### Method Detail

    - #### getFunctionCount

          int getFunctionCount()

    - #### getFunctionName

          java.lang.String getFunctionName(int idx)

    - #### getFunctionResult

          java.lang.Object getFunctionResult(int idx)

    - #### getKey

          PrecomputeNodeKey getKey()